<?php
/*
 * This file is part of a larger software package. Please read the License file 
 * in the root of this installation for terms of usage and distribution.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * 
 * CORE: manage/dialog/image_library_delete.php - version 1.0
*/

$nSecureMe=1;

// Secure and connect
require("../../inc/dbconnect.php");
require("../inc/secure_page.php");

// bring in other required files
require("../inc/lang.php");

// config
$nPageName = "image_library_delete.php";
$nRefreshCall = "runDelete();";

// Get passed-in variables
$nUpdateDB = (isset($_POST["nUpdateDB"]) ? $_POST["nUpdateDB"] : NULL);
$nRecID = (isset($_GET["id"]) ? $_GET["id"] : NULL);
$nImagesMoveID = (isset($_POST["nImagesMoveID"]) ? $_POST["nImagesMoveID"] : NULL);
if(!$nRecID){ $nRecID = (isset($_POST["nRecID"]) ? $_POST["nRecID"] : NULL); }

// Error checking for form submission
$nError = "";


if($nRecID){
	// Get information for this record to display
	$Query = "SELECT nName FROM nLibrary WHERE nID=$nRecID";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	if($Row = mysql_fetch_array($Result)) {
		$nName = stripslashes($Row["nName"]);
		$nName = str_replace("\"","&quot;",$nName);
		$nImages = nGetImageInLibraryCount($nRecID);
	} else {
		$nError = "<li>You have requested a record that does not exist.  Please try again.</li>";
	}
} else { echo "<div align=\"center\" style=\"padding:20px;\">No record available. Invalid ID.</div>"; }
	
if($nUpdateDB){
	if($nRecID && !$nError){
		// Move images from one library to another
		$nNewName = nGetImageLibraryName($nImagesMoveID);
		$nOrigName = addslashes(stripslashes($nName));
		$nNewName = addslashes(stripslashes($nNewName));
		if($nImagesMoveID!="0") {
			$Query = "UPDATE nImage SET nType='$nNewName' WHERE nType='$nOrigName'";
			mysql_select_db($DBName); mysql_query($Query, $Link);
		}
		// Remove record
		$Query = "DELETE FROM nLibrary WHERE nID=$nRecID LIMIT 1";
		mysql_select_db($DBName);
		mysql_query($Query, $Link);
		// Optmization
		$nSQL = "OPTIMIZE TABLE nLibrary";
		mysql_select_db($DBName);
		mysql_query($nSQL, $Link);
		
		// log system event
		$nSystemEventDesc = _("Library deleted:")." <strong>$nName</strong>";
		$Query = "INSERT INTO nSystemEventLog (nEventTime,nEventDesc,nEditorUser) VALUES ('".date("Y-m-d H:i:s")."','$nSystemEventDesc','$ValidUser')";
		mysql_select_db($DBName); mysql_query($Query, $Link);
		
		exit();
	}
}
?>
<script>
runDelete = function(){
	try{ nLoadImageLibrariesTable(); }catch(e){}
	dialogDeleteClose();
	dialogClose();
	try{ showNotify('The library <strong><?php echo addslashes($nName)?></strong> was successfully removed.','done') }catch(e){};
}
</script>
<form action="<?php echo $_SERVER['PHP_SELF']?>" method="post" name="dialogForm" id="dialogForm" onSubmit="return submitFormModal('dialog/<?php echo $nPageName;?>?id=<?php echo $nRecID?>','dialogForm','<?php echo $nRefreshCall;?>');return false;">
	<input type="hidden" name="nUpdateDB" value="1">
	<input type="hidden" name="nRecID" value="<?php echo $nRecID?>">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="80" align="center" style="padding:10px;">
		
		<table border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td valign="top" style="padding-right:10px;"><img src="assets/images/icons/question.png" alt="" width="48" height="48" border="0"></td>
			<td class="blueBold" style="padding-right:10px;">
				<?php echo _("Are you sure you want to delete"); ?> <strong><?php echo $nName?></strong>?<BR><BR>
				<?php if($nImages==0){ ?>
					<em><?php echo _("This library has no associated images and can be safely removed."); ?></em>
					<input type="hidden" name="nImagesMoveID" value="0">
				<?php } else { ?>
					<?php echo _("Move images in this library to"); ?>: <select name="nImagesMoveID" class="contentForm"><?php echo nGetImageLibrariesDD($nRecID)?></select>
				<?php } ?>
			</td>
		  </tr>
		</table>
		
	</td>
  </tr>
  <tr>
	<td style="padding:10px; text-align:center;">
	<input type="submit" name="nYes" value="Delete" class="button black"> 
	<input type="button" name="nCancel" value="Cancel" class="button" onClick="dialogDeleteClose();">
	</td>
  </tr>
</table>
</form>
<?php
function nGetImageInLibraryCount($nLibraryID){
	global $DBName,$Link;
	if(!$nLibraryID){ return; }
	$nSQL = "SELECT nName FROM nImage JOIN nLibrary ON nLibrary.nName=nImage.nType WHERE nLibrary.nID='$nLibraryID'";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	$nTotalResults = mysql_num_rows($Result);
	return $nTotalResults;
}
function nGetImageLibrariesDD($nLibraryID){
	global $DBName, $Link;
	$nTable = "";
	$Query = "SELECT nID,nName FROM nLibrary WHERE nType='image' AND nID!='$nLibraryID' ORDER BY nName";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	while ($Row = mysql_fetch_array($Result)) {
		$nID = $Row["nID"];
		$nName = $Row["nName"];
		$nImageCount = nGetImageInLibraryCount($nID);
		if($nImageCount){
			$nTable.="<option value=\"$nID\">$nName ($nImageCount)</option>";
		} else {
			$nTable.="<option value=\"$nID\">$nName</option>";
		}
	}
	return $nTable;
}
function nGetImageLibraryName($nLibraryID){
	global $DBName, $Link;
	if(!$nLibraryID){ return; }
	$nName = "";
	$Query = "SELECT nID,nName FROM nLibrary WHERE nID='$nLibraryID'";
	mysql_select_db($DBName); $Result = mysql_query($Query,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nName = $Row["nName"];
	}
	return $nName;
}
?>
<?php
// disconnect from mysql
mysql_close($Link);
?>
